//
//  FilmsTableViewController.m
//  Films
//
//  Created by Santiago Pavón on 18/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "FilmsTableViewController.h"
#import "FilmViewController.h"
#import "Film.h"

@interface FilmsTableViewController ()

@property (strong,nonatomic) NSArray *filmsArray;  // Todas las peliculas

@end

@implementation FilmsTableViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // Todas las peliculas:
    self.filmsArray = @[[[Film alloc] initWithTitle:@"Lluvia de albóndigas"
                                              genre:@"Infantil"],
                        [[Film alloc] initWithTitle:@"Buscando a Nemo"
                                              genre:@"Infantil"],
                        [[Film alloc] initWithTitle:@"Bambi"
                                              genre:@"Infantil"],
                        [[Film alloc] initWithTitle:@"Indiana Jones y el templo maldito"
                                              genre:@"Familiar"],
                        [[Film alloc] initWithTitle:@"Mentiras arriesgadas"
                                              genre:@"Familiar"],
                        [[Film alloc] initWithTitle:@"La Rosa Púrpura del Cairo"
                                              genre:@"Familiar"],
                        [[Film alloc] initWithTitle:@"El juego de Ender"
                                              genre:@"Familiar"],
                        [[Film alloc] initWithTitle:@"Parque Jurásico"
                                              genre:@"Familiar"],
                        [[Film alloc] initWithTitle:@"El silencio de los corderos"
                                              genre:@"Adultos"],
                        [[Film alloc] initWithTitle:@"El exorcista"
                                              genre:@"Adultos"],
                        [[Film alloc] initWithTitle:@"El último tango en París"
                                              genre:@"Adultos"],
                        [[Film alloc] initWithTitle:@"Tiburón"
                                              genre:@"Adultos"]
                        ];

    // Recargar la tabla
   // [self.tableView reloadData];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return [self.filmsArray count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellId = @"Film Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellId
                                                            forIndexPath:indexPath];
    
    Film *film = self.filmsArray[indexPath.row];
    
    cell.textLabel.text = film.title;
    cell.detailTextLabel.text = film.genre;
    
    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/


#pragma mark - Navigation

// In a story board-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"Show Film"]) {
        
        NSIndexPath *ip = [self.tableView indexPathForCell:sender];
        
        FilmViewController *fvc = segue.destinationViewController;
        
        fvc.film = self.filmsArray[ip.row];
    }
}


@end
